X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Could not use firefox version >17.0 in Ubuntu 9.04

Posted

I am using Ubuntu 9.04 Jaunty , i have installed firefox 17.0.1 manually , Now i want to update my firefox version in to higher one. When I checked the updates manually and automatically the firefox about screen always says its up-to-date. So i manually downloaded and tried to installed version 18.0.2 but its not working. Can any body help me to solve this Problem. Please don't say simply that i have to update my Linux Distro .

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.2 r202
  • 4.0.51204.0
  • The IcedTea NPR Web Browser Plugin (using IcedTea6 1.8.2 (6b18-1.8.2-4ubuntu1~9.04.1)) executes Java applets.
  • DivX Web Player version 1.4.0.233
  • The Totem 2.26.1 plugin handles video and audio streams.
  • Shockwave Flash 9.0 r999. Gnash 0.8.5, the GNU SWF Player. Copyright © 2006, 2007, 2008 Free Software Foundation, Inc. Gnash comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of Gnash under the terms of the GNU General Public License. For more information about Gnash, see http://www.gnu.org/software/gnash. Compatible Shockwave Flash 9.0 r999.

Application

  • Firefox 17.0.1
  • User Agent: Mozilla/5.0 (X11; Linux i686; rv:17.0) Gecko/20100101 Firefox/17.0
  • Support URL: http://support.mozilla.org/1/firefox/17.0.1/Linux/en-US/

Extensions

  • Adblock Plus 2.2.3 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • Adblock Plus Pop-up Addon 0.6 (adblockpopups@jessehakanen.net)
  • DoNotTrackMe 2.2.6.110 (donottrackplus@abine.com)
  • ERail Plugin for Firefox 5.0.rev103 (ERAIL.IN.FFPLUGIN@jetpack)
  • Flashblock 1.5.15.1 ({3d7eb24f-2740-49df-8937-200b1cc08f8a})
  • Flash Video Downloader Youtube Downloader 3.8.2 (artur.dubovoy@gmail.com)
  • Novell Moonlight 3.99.0.3 (moonlight@novell.com)
  • Troubleshooter 1.0a (troubleshooter@mozilla.org)
  • TV-Fox 18.0.0 ({2f17f610-5e97-4fed-828f-9940b7b577a4})
  • YouTube quality manager 1.2 (youtubequality@rzll)
  • YouTube Unblocker 0.3.0 (youtubeunblocker@unblocker.yt)
  • FlashVideoReplacer 2.1.15 (flvideoreplacer@lovinglinux.megabyet.net) (Inactive)
  • Youtube High Definition 5.2 ({7b1bf0b6-a1b9-42b0-b75d-252036438bdc}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: Tungsten Graphics, Inc -- Mesa DRI Intel(R) G33 GEM 20090326 2009Q1 RC2 x86/MMX/SSE2
  • adapterDeviceID: Mesa DRI Intel(R) G33 GEM 20090326 2009Q1 RC2 x86/MMX/SSE2
  • adapterDrivers:
  • adapterRAM:
  • adapterVendorID: Tungsten Graphics, Inc
  • driverDate:
  • driverVersion: 1.4 Mesa 7.4
  • info: {u'AzureContentBackend': u'none', u'AzureCanvasBackend': u'none', u'AzureFallbackCanvasBackend': u'none'}
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'blockedGfxCard']
  • numTotalWindows: 1
  • webglRendererMessage: [u'blockedGfxCard']
  • windowLayerManagerType: Basic

Modified Preferences

  • accessibility.typeaheadfind.flashBar: 0
  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.places.importBookmarksHTML: False
  • browser.places.importDefaults: False
  • browser.places.leftPaneFolderId: -1
  • browser.places.migratePostDataAnnotations: False
  • browser.places.smartBookmarksVersion: 4
  • browser.places.updateRecentTagsUri: False
  • browser.privatebrowsing.dont_prompt_on_enter: True
  • browser.startup.homepage_override.buildID: 20121128204232
  • browser.startup.homepage_override.mstone: 17.0.1
  • browser.tabs.warnOnClose: False
  • extensions.lastAppVersion: 17.0.1
  • gfx.blacklist.direct2d: 4
  • gfx.blacklist.layers.direct3d10: 4
  • gfx.blacklist.layers.direct3d10-1: 4
  • gfx.blacklist.layers.direct3d9: 4
  • gfx.blacklist.layers.opengl: 4
  • gfx.blacklist.stagefright: 4
  • gfx.blacklist.webgl.angle: 4
  • gfx.blacklist.webgl.msaa: 4
  • gfx.blacklist.webgl.opengl: 4
  • network.cookie.prefsMigrated: True
  • network.protocol-handler.expose.apt: False
  • places.database.lastMaintenance: 1361649730
  • places.history.expiration.transient_current_max_pages: 26047
  • places.last_vacuum: 1345816190
  • privacy.cpd.offlineApps: True
  • privacy.cpd.siteSettings: True
  • privacy.donottrackheader.enabled: True
  • privacy.sanitize.migrateFx3Prefs: True
  • privacy.sanitize.timeSpan: 0
  • security.warn_viewing_mixed: False

Misc

  • User JS: No
  • Accessibility: No
cor-el
  • Top 10 Contributor
  • Moderator
10762 solutions 96861 answers

If there are problems with updating then best is to download the full version of the Firefox installer.

Download a fresh Firefox copy and save the file to the desktop.

Helpful Reply

Dear Cor-el i tried Ur suggestion already. but its not working, when i just created symbolic links and opened it , nothing happend , firefox19 not opened

cor-el
  • Top 10 Contributor
  • Moderator
10762 solutions 96861 answers

Helpful Reply

Make sure that you meet the Firefox system requirements for Linux.